Public Announcement for [Permissions]

Discussion in 'Bukkit Discussion' started by Nijikokun, Aug 25, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    codename_B

    Hi, bPermissions has a built in converter AND bridge for backwards compatability with old, unupdated plugins.

    http://dev.bukkit.org/server-mods/bpermissions/
     
  2. Offline

    Wakko

    I'm not so much disappointed with Superperms as I am with (some) people's way of defending it.
    1) NO ONE is forcing us to switch from the old permissions system or which permissions system a dev has to code for.
    2) We can choose what we want to use. It's OUR server.
    3) Every time I say I reason I don't like it I get a ton of replies that actually prove my point, or give a reply saying to do exactly what I don't like about it.
    4) Why are people arguing about using the new permissions system anyway? Some people like it, some don't. GET OVER IT!
    5) What was the topic about again?
     
  3. Offline

    chaseoes Retired Staff

    Wrong. Many plugin developers are now only supporting SuperPerms - and we would be unable to use their plugin if we don't use SuperPerms. Unfortunately, the only benefit to using the new system applies to plugin developers for the ease of integrating it in their plugins; and leaves us server owners left with a nightmare.
     
  4. Offline

    Nijikokun

  5. Offline

    codename_B

    Although bPermissions can already do that automatically via a command, very nice indeed, thanks Niji!
     
  6. Offline

    cjbh1996

    You know what? Do it. I 100% agree with you, Permissions needs to die. I don't care if most of my plugins break; I don't even operate that big of a server.
     
  7. Offline

    Nijikokun

    Fixed for most types of yaml now. php fails to parse yaml correctly so I utilized another language to do that.
     
  8. Offline

    Elvis

    permissions doesnt really need to die it was amazing
     
  9. Offline

    NinjaZidane

    As another plugin developer (still awaiting my first to be accepted >.>)....I agree 100% that this was the best move to make.

    I totally agree that ANY developer that is complaining about Superperms has to be ones that are server admins themselves

    I mean comeon now....we only need ONE line of code now to check if something has permission vs. the work that had to be done for this legacy permissions system. If I had to code and support ALL of those permission systems, I wouldn't have bothered to release any of my work (as it becomes a bloated mess).

    As far as the complaints regarding the ease of Permissions 3....news flash: PermissionsBukkit (not sure about the other two) stops holding your hands on this.

    Complaining that you have to look every node up?
    Complaining that you don't have the time to read up on your plugins?

    May I ask why you are a server admin then? The ease in setting up a basic Craftbukkit server may be its biggest downfall: you get everyone and their brother tricked into thinking they can run a server just like that. Running a server is a job and one that some people need to accept takes alot of your personal time to do right.

    tl;dr Superperms is here to stay, Permissions is gone. We have a unified API now to use and its time for you to suck it up and make the change or watch your server slide farther into the ugly past.
     
    Lunar Delta likes this.
  10. Offline

    nala3

    well what about all those plugins that have dependencies on them and plugin devs that don't want to go through and fix all those depends? :) Couldnt you just leave one copy of each in a lonely thread somewhere over yonder?
     
  11. Offline

    Afotai

    Development is about innovation and going forward, and this is especially true with the new permission system. If theres a plugin that depends on the old permissions plugin and doesn't get updated to SuperPerms, you probably are dealing with an inactive developer :/
     
  12. Offline

    Vhab

    You'll actually have more luck using PermissionsEx in that particular case.
    It supports both the new SuperPerms system, but also has a compatibility layer for plugins assuming the old Permissions plugin.
    Sticking to just Permissions will cause you significant issues with managing plugins that switched over to the new SuperPerms API.
    With a plugin like PermissionsEx this migration will be seamless, you won't even notice when plugins switched from the old to the new system.
     
  13. Offline

    andrewkm

    PEX works with old plugins.
     
  14. Offline

    Lunar Delta

    Indeed. All of my old plugins (some of them quite old) all work flawlessly with PEX's Permissions compatibility.
     
  15. Offline

    nala3

    well then disregard that comment lol :)
     
  16. Offline

    Smex

    The only peope who bitch about this thread are lazy server owners. thats the point.
     
  17. Offline

    agafaba

    There are some legitimate points in this thread, so not completely true, although anyone arguing against superperms being the new standard is being silly.
     
  18. Offline

    erdrickk

    Switching over to PermissionsEX from permissions 2.7.4 was sooooooo easy. It's almost he the exact same format. Now I can give my Moderators access to plug-ins that I couldn't before like MobDisguise :p o the fun times.
     
    HmmmQuestionMark likes this.
Thread Status:
Not open for further replies.

Share This Page